ifpc(1)

NAME
ifpc - The Free Pascal Interpreter.

SYNOPSIS

ifpc [-h] [-v] [compiler options] <source file> [program parameters]

DESCRIPTION

ifpc This is a pascal code interpreter program. It compiles source and runs the
 generated program.

Source is compared with the cache. If cache is not valid then then source is copied to cache with the shebang line commented and cached source is compiled. If compilation fails the fpc output is written to stdout and and exit code 1 is returned If compilation was successful the program is executed. If the compiler options contains -B the program is always recompiled. If the environment option INSTANTFPCOPTIONS is set it is passed to compiler as the first parameters.

USAGE

ifpc takes the following arguments:

-h  Prints this help message and exit.

-v  Prints version and exit.

--get-cache
    Prints current cache directory and exit.

--set-cache=<path to cache>
    Set the cache to be used. Otherwise using environment variable INSTANTFPCCACHE.

--compiler=<path to compiler>
    Normally fpc is searched in PATH and used as compiler.

--skip-run
    Do not execute the program. Useful to test if script compiles

-B  Always recompile.

SEE ALSO

    fpc(1)